# Uses of Interface
org.eclipse.microprofile.openapi.models.info.Contact

Packages that use Contact
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3.1 documents from their Jakarta REST applications.
org.eclipse.microprofile.openapi.models.info
A set of interfaces of programmable models to represent metadata about the API, including license information and contact information of the exposed API.

## Uses of Contact in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return Contact
Modifier and Type
Method
Description
`static Contact`
OASFactory.`createContact()`
This method creates a new `Contact` instance.

## Uses of Contact in org.eclipse.microprofile.openapi.models.info

Methods in org.eclipse.microprofile.openapi.models.info that return Contact
Modifier and Type
Method
Description
`default Contact`
Contact.`email(String email)`
Sets this Contact instance's contact email to the given email and returns this instance of Contact
`Contact`
Info.`getContact()`
Returns the contact information for the exposed API from this Info instance.
`default Contact`
Contact.`name(String name)`
Sets this Contact instance's identifying name to the given name and returns this instance of Contact.
`default Contact`
Contact.`url(String url)`
Sets this Contact instance's URL pointing to the contact information and returns this instance of Contact.
Methods in org.eclipse.microprofile.openapi.models.info with parameters of type Contact
Modifier and Type
Method
Description
`default Info`
Info.`contact(Contact contact)`
Sets this Info instance's contact information for the exposed API and returns this instance of Info.
`void`
Info.`setContact(Contact contact)`
Sets this Info instance's contact information for the exposed API.